package cn.com.poc.ai_data_audit.rest;

import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.poc.ai_data_audit.dto.BizAiDataAuditFileDto;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;

@Permission(Access.Safety)
public interface BizAiDataAuditFileRest extends BaseRest {

    List<BizAiDataAuditFileDto> getFileList(@RequestBody BizAiDataAuditFileDto example) throws Exception;

    BizAiDataAuditFileDto getById(@RequestBody java.lang.Integer id) throws Exception;
    
    List<BizAiDataAuditFileDto> getList(@RequestBody BizAiDataAuditFileDto example, PagingInfo pagingInfo) throws Exception;


    BizAiDataAuditFileDto save(@RequestBody BizAiDataAuditFileDto dto) throws Exception;

    BizAiDataAuditFileDto update(@RequestBody BizAiDataAuditFileDto dto) throws Exception;

    void deletedById(@RequestBody java.lang.Integer id) throws Exception;
        
}